package pxds.lmmd.zmwf

import com.blankj.utilcode.util.AppUtils
import com.blankj.utilcode.util.SPUtils
import com.test.basd.supercleanermax.R
import pxds.etmo.lexn.ylyy.Anet
import pxds.lmmd.zmwf.Khko.string

object Uawv {

    var allNotification = true
        get() {
            return SPUtils.getInstance().getBoolean(R.string.ލޅޞޖޝ_D.string(), field)
        }
        set(value) {
            field = value
            SPUtils.getInstance().put(R.string.ލޅޞޖޝ_D.string(), value, true)
        }

    var remainNotification = true
        get() {
            return SPUtils.getInstance().getBoolean(R.string.ރޢޅސޟ_D.string(), field)
        }
        set(value) {
            field = value
            SPUtils.getInstance().put(R.string.ރޢޅސޟ_D.string(), value, true)
        }

    var ifGuest = false
        get() {
            return SPUtils.getInstance().getBoolean(R.string.ޓމމޡލ_D.string(), field)
        }
        set(value) {
            field = value
            SPUtils.getInstance().put(R.string.ޓމމޡލ_D.string(), value, true)
        }

    var ifAgreePrivacy = false
        get() {
            return SPUtils.getInstance().getBoolean(R.string.ޝޔދޅޝ_D.string(), field)
        }
        set(value) {
            field = value
            SPUtils.getInstance().put(R.string.ޝޔދޅޝ_D.string(), value, true)
        }

    var junkSizeClean = 0L
        get() {
            return SPUtils.getInstance().getLong(R.string.ވޚއޣވ_D.string(), field)
        }
        set(value) {
            field = value
            SPUtils.getInstance().put(R.string.ވޚއޣވ_D.string(), value)
        }

    val noLoadingActivities = listOf(
        R.string.ޥޑޅޚޛ_D.string(), R.string.ޑޚޡފޓ_D.string(), Anet::class.java.simpleName

    )

    val packageName = R.string.ޛކޠހޠ_D.string()

    val nativeAdmobId = R.string.ތޝޜބލ_D.string()

    val interAdmobId = R.string.ގޥޠށޥ_D.string()

    val openAdmobId = R.string.ޔހޗޓފ_D.string()

    val apiUrl = R.string.ޝޡޟތޙ_D.string()

    val eventUrl = R.string.ޑޓޑޥކ_D.string()

    var appList: List<AppUtils.AppInfo>? = null

    var isOpenNotification = false

    var gid = ""
}